SC_CARD_CTL(3)

NAME
sc_card_ctl - Send a control command to a card

SYNOPSIS

    #include <opensc.h>
    int sc_card_ctl(struct sc_card *card, unsigned long cmd, void *args);

DESCRIPTION

This function is used to send various control commands to the smart card associated with card. The command is specified in cmd, and any command-specific arguments are pointed to by args.

Commands are specific to cards. For more details on which cards accept which commands, check the documentation for your card.

RETURN VALUE

Returns 0 if successful, or a negative value in case of error.